.JavaArrayConstructor <- 
#
# 
#
function(klass, ..., dim=length(list(...)), .name = NULL, .convert = FALSE)
{
    args <- list(...)
    if(missing(dim)) {
        dim <- length(args)
    } else
    dim <- as.integer(dim)

    arr <- .Java(NULL, "createArray", klass, as.integer(dim),
                 .name=.name, .convert=.convert)
    ## Now set the values in ...
    ##  .Call("RS_Java_ArrayConstructor", as.character(klass), dim)
    arr
}

.JavaGetArrayElement <-
function(jobj, ..., .name=NULL, .convert = TRUE)
{
    index <- sapply(list(...), as.integer)

    if(length(index) > 1) {
        ## note the different name (i.e. append the `s')
        .Java(NULL, "getArrayElements", jobj, as.integer(index - 1),
              .name=.name, .convert=.convert);
    } else {
        .Java(NULL, "getArrayElement", jobj, as.integer(index - 1),
              .name=.name, .convert=.convert);
    }
}

.JavaSetArrayElement <-
function(jobj, value, ..., .dims = list(...), .convert = FALSE)
{
    ## Need to ensure that no .convert, etc. are in the dims.
    if(missing(.dims)) {
        .dims = list(...)
        if(length(names(.dims)) && !all(names(.dims) == ""))
            stop("No names on array dimensions")
    }
    
    index <- sapply(.dims, as.integer)
    .Java(NULL, "setArrayElement", jobj, as.integer(index - 1), value,
          .convert = .convert)

    jobj
}

.JavaArrayLength <-
function(jobj)
{
    .Java(NULL, "arrayLength", jobj)
}
