/*
 These test the converters between R and Java.
 Specifically, the file TestTypes.R is used to call these
 methods from R to pass simple data  from R to Java
 and get the results back.  This round-trip should
 test many of the converters. 

*/

import java.util.Hashtable;

public class TestTypes {

    public int myInt = 3;


    public double getDouble() {
	return(2.13);
    }

    public double getDouble(double val) {
	return(val);
    }

    public int getInt() {
	return(2);
    }

    public int getInt(int val) {
	return(val);
    }

    public boolean getBoolean() {
	return(true);
    }

    public boolean getBoolean(boolean val) {
	return(val);
    }

    public long getLong() {
	return(2L);
    }

    public long getLong(long val) {
	return(val);
    }

    public char getChar() {
	return('A');
    }

    public char getChar(char val) {
	return(val);
    }

    public String getString() {
	return("ABC");
    }

    public String getString(String val) {
	return(val);
    }


    public Double GetDouble() {
	return(new Double(2.13));
    }

    public Integer GetInt() {
	return(new Integer(2));
    }

    public Boolean GetBoolean() {
	return(new Boolean(true));
    }

    public Long GetLong() {
	return(new Long(2L));
    }

    public Character GetChar() {
	return(new Character('A'));
    }

    public int[] getIntArray() {
	return(new int[]{1, 2, 3, 4});
    }

    public int[] getIntArray(int[] val) {
	return(val);
    }

    public boolean[] getBooleanArray() {
	return(new boolean[]{true, true, false, true});
    }

    public boolean[] getBooleanArray(boolean[] val) {
	return(val);
    }

    public long[] getLongArray() {
	return(new long[]{1L, 2L, 3L, 4L});
    }

    public long[] getLongArray(long[] val) {
	return(val);
    }

    public double[] getDoubleArray() {
	return(new double[]{1.5, 2.5, 3.5, 4.5});
    }

    public double[] getDoubleArray(double[] val) {
	return(val);
    }

    public String[] getStringArray() {
	return(new String[]{"1.5", "2.5", "xyz"});
    }

    public String[] getStringArray(String[] val) {
	return(val);
    }


    class MyObject {
	int x;
	public MyObject() {
	    x = 45;
	}
	public MyObject(int v) {
	    x = v;
	}
        public int x() {
	    return(this.x);
	}
    }


    public Object[] getObjectArray() {
        Object a[] = new Object[3];
	a[0] = "abc";
        a[1] = new MyObject();
        a[2] = new MyObject(10);
	return(a);
    }


    public Hashtable getHashtable() {
	Hashtable t = new Hashtable();
	t.put("a", new Integer(1));
	t.put("bc", "xyz");
	t.put("zzz", new Double(2.0));
	try {
	    t.put("zzz", new java.net.URL("http://www.omegahat.org"));
	} catch(Exception e) {
        }
	return(t);
    }


    public Object getList(Object o) {
        java.util.List l = new java.util.ArrayList();
	System.err.println(o.getClass());
        l.add("A string");
        l.add(new Integer(11));
	return(l);
    }


    public Object roundTrip(Object o) {
	System.err.println("TestTypes:: roundTrip  " + o.getClass().getName());
	return(o);
    }
}
