\name{internal}

\alias{conditionCall.JavaException}
\alias{conditionMessage.JavaException}
\alias{getLastJavaException}
\alias{createListener}

\title{Functions for internal or illustrative use by SJava}

\description{

  These functions are for internal use by SJava, or are used in
  primarily outdated examples.

}

\usage{
\S3method{conditionMessage}{JavaException}(c)
\S3method{conditionCall}{JavaException}(c)
getLastJavaException()
createListener(methods, jinterface, jname = "",
               superClass = "org.omegahat.R.Java.RJavaInstance")
}

\arguments{

  \item{c}{A condition object.}

  \item{methods}{a named list of functions to be invoked, in particular
    \code{actionPerformed} to implement callback methods of
    \code{jinterface}.}

  \item{jinterface}{A Java class (e.g.,
    \code{java.awt.event.ActionListener}) for which the listener is to
    be created.}

  \item{jname}{A name (as used by \code{\link{.JNew}}) used to refer to
    this dynamically compiled class.}

  \item{superClass}{The super class for the defined and dynamically
  compiled class.}

}

\seealso{
  \code{\link{conditions}}
}

\author{Duncan Temple Lang}

\keyword{programming}
\keyword{interface}
