\name{expandClassName}
\alias{expandClassName}
\title{The fully qualified name of a Java class}
\description{
 This takes the partially qualified name of a Java class
and queries the Omegahat class list to resolve the 
appropriate Java class.  This then returns the name
(via the Java method \code{getName()}) of
that class with all the package information in the name. 
}
\usage{
expandClassName(klass)
}
\arguments{
  \item{klass}{ the partially qualified name of the Java
class which is to be resolved.}
}
\details{
This uses the Omegahat evaluator's class list, including
the locally added classes (i.e. those not in the Java
classpath, but added to the Omegahat class search path) 
and the dynamically generated and loaded classes.
}
\value{
 a character vector of length 1 containing the
fully qualified name of the Java class.
}
\references{\url{http://www.omegahat.org/RSJava}}
\author{Duncan Temple Lang}
\note{
Note that this causes the Java class to be loaded.
If one wanted to simply determine from which Java package
a partially qualified class name would be loaded without
loading it (e.g. one might want to test whether Vector
is from the antlr package or the core \code{java.util} package)
then one should loop over the evaluator's class list
(\code{classLists()}) object and use its 
\code{matchesClassName} method.
}

\seealso{
\code{\link{.JClass}}
}

\examples{
 expandClassName("util.Vector")
}
\keyword{programming}
\keyword{interface}